All Classes Namespaces Functions Variables Groups Pages
MysqlSqlUtil::MysqlIndex Class Reference

represents a MySQL-specific index More...

Inheritance diagram for MysqlSqlUtil::MysqlIndex:
[legend]

## Public Member Functions

| constructor (string n_name, bool n_unique, hash n_cols, string n_type="BTREE")
| creates the object from the arguments
private bool | equalImpl (AbstractIndex ix)
| returns True if the argument is equal to the current index, False if not
string | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the index in the database
string | getDropSql (string table_name)
| returns a string that can be used to drop the index from the table
string | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the index in the database; hwoever mysql does not support renaming indexes, so the index is dropped and recreated :(

## Detailed Description

represents a MySQL-specific index